Create WP admin user
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/wpa-create-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "John",
"last_name": "Doe"
}
'{
"create_wp_admin_user": true
}WordPress Site Environments
Create WP admin user
POST
/
sites
/
environments
/
{env_id}
/
wpa-create-user
Create WP admin user
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/wpa-create-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "John",
"last_name": "Doe"
}
'{
"create_wp_admin_user": true
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Example:
Example:
"John"
Example:
"Doe"
Response
WP admin user created successfully
Example:
true
⌘I